Bug 1254499 - Can't add Gluster volume - "object has no attribute 'glusterVolumeInfo'"
Can't add Gluster volume - "object has no attribute 'glusterVolumeInfo'"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
Unspecified Unspecified
urgent Severity urgent
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Ala Hino
Aharon Canan
: Regression
Depends On: 1260754
Blocks: Hosted_Engine_External_GlusterFS
  Show dependency treegraph
 
Reported: 2015-08-18 05:24 EDT by Aharon Canan
Modified: 2016-03-10 07:03 EST (History)
11 users (show)

See Also:
Fixed In Version: 3.6.0-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1258205 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logs01 (122.04 KB, application/x-gzip)
2015-08-18 05:24 EDT, Aharon Canan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45098 master MERGED gluster: Publish gluster get volume info Never
oVirt gerrit 45370 ovirt-3.6 MERGED gluster: Publish gluster get volume info Never

  None (edit)
Description Aharon Canan 2015-08-18 05:24:44 EDT
Created attachment 1064234 [details]
Logs01

Description of problem:
Trying to create new gluster storage domain fails with "object has no attribute 'glusterVolumeInfo'"

Version-Release number of selected component (if applicable):
3.6.0-9
hosts with rhel 7.2

How reproducible:
100%

Steps to Reproduce:
1. Add new Gluster domain 
2.
3.

Actual results:
fails

Expected results:
should work

Additional info:
volume set with parameters according to workaround from https://bugzilla.redhat.com/show_bug.cgi?id=1248067 comment#16

From logs:
Thread-212::ERROR::2015-08-18 12:18:56,602::hsm::2454::Storage.HSM::(connectStorageServer) Could not connect to storageServer
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/hsm.py", line 2451, in connectStorageServer
    conObj.connect()
  File "/usr/share/vdsm/storage/storageServer.py", line 219, in connect
    self.validate()
  File "/usr/share/vdsm/storage/storageServer.py", line 334, in validate
    replicaCount = self.volinfo['replicaCount']
  File "/usr/share/vdsm/storage/storageServer.py", line 330, in volinfo
    self._volinfo = self._get_gluster_volinfo()
  File "/usr/share/vdsm/storage/storageServer.py", line 348, in _get_gluster_volinfo
    self._volfileserver)
  File "/usr/share/vdsm/supervdsm.py", line 50, in __call__
    return callMethod()
  File "/usr/share/vdsm/supervdsm.py", line 47, in <lambda>
    getattr(self._supervdsmProxy._svdsm, self._funcName)(*args,
AttributeError: 'AutoProxy[instance]' object has no attribute 'glusterVolumeInfo'
Comment 2 Allon Mureinik 2015-08-18 05:36:14 EDT
Please provide the output of "rpm -qa | grep vdsm"
Comment 4 Ala Hino 2015-08-18 06:39:40 EDT
In addition, please provide output of "rpm -qa | grep glusterfs"
Comment 6 Gil Klein 2015-08-25 01:36:47 EDT
Aharon, please see comment #4 too
Comment 7 Allon Mureinik 2015-08-27 08:05:11 EDT
Ala, please add the information about the new glusterfs-cli requirement to be added to the release notes.
Comment 8 Aharon Canan 2015-09-08 06:21:20 EDT
Verified using 3.6.0-11

Can create Gluster SD
Comment 9 Allon Mureinik 2016-03-10 05:41:42 EST
RHEV 3.6.0 has been released, setting status to CLOSED CURRENTRELEASE
Comment 10 Allon Mureinik 2016-03-10 05:46:46 EST
RHEV 3.6.0 has been released, setting status to CLOSED CURRENTRELEASE
Comment 11 Allon Mureinik 2016-03-10 07:03:20 EST
RHEV 3.6.0 has been released, setting status to CLOSED CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.